const express = require("express");
// const axios = require("axios");
const router = express.Router();
// const kca = require('@keycloak/keycloak-admin-client')
// import KcAdminClient from '@keycloak/keycloak-admin-client';
const { body, encryptedbody } = require("../middleware/getbody");
const auth = require("../middleware/auth");
const {
  register,
  contacts,
  getChatMessages,
  addChatMessage,
  addGroupChatMessage,
  groups,
  getListings,
  addListing,
  updateListing,
  deleteListings,
  deleteService,
  deleteJob,
  isNewUser,
  getProfileData,
  myListings,
  messageSeller,
  chatSeller,
  getStoreMessages,
  updateListingStatus,
  updateService,
  updateJob,

  verifyContacts,
  getListingCategories,
  getUsers,
  getCountry,
  getCategories,
  verifyPackage,
  buyPackage,
  buyPackages,
  verifyCode,
  createCode,
  addFunds,
  getFunds,
  addJobPost,
  getJobs,
  createStoreProfile,
  createKitchenProfile,
  createGarageProfile,
  createCompanyProfile,
  verifyKitchenProfile,
  verifyStoreProfile,
  getMealCategories,
  getDriverProfile,
  createDriverProfile,
  verifyDriverProfile,
  verifyGarageProfile,
  addVehicle,
  getVehicles,
  addRoute,
  addService,
  getServices,
  getVehicleListings,
  getRoutes,
  myVehicles,
  myJobs,
  myServices,
  myMeals,
  verifyGaragePackage,
  verifyOfficePackage,
  verifyRoutePackage,
  getRewardStats,
  updateBio,
  getDirectReferrals,
  getSubReferrals,
  followUser,
  unfollowUser,
  updateUser,
  login,
  getDWTAApplications,
  submitDWTAApplication,
  getFundsConfirmations,
  addFundsConfirmation,
  updateFundConfirmation,
  getOrders,
  createOrder,
  getMyOrders,
  createAPRawFoodsOrder,
  getAPRawFoodsOrders,
  getMyAPRawFoodsOrders,
  getMyFunds,
  updateDWTAApplication,
  placeDesignJeniusOrder,
  getDesignJeniusOrders,
  updateDesignJeniusOrder,
  updateWBDevWorldOrder,
  getWBDevWorldOrders,
  placeWBDevWorldOrder,
  addWhiteListedContact,
  getWhiteListedContacts,
  deleteWhiteListedContact,
  getUser,
  updatePermissions,
  updateProfilePicture,
  getListingByCategory,
  isWhiteListed,
  getByTags,
  addGig,
  myGigs,
  updateGig,
  getGigs,
  getListingByTag,
  getServiceByTag,
  getCommissions,
  getReferralTokens,
  getJobByTag,
  getGigByTag,
  updateVehicle,
  getCountryByName,
  getPreparedMeals,
  getListingByCategoryOrTag,
} = require("../controllers/users");
// const cetechRegister = require("../controllers/cetech").register;
// const { verifyPayments } = require("../middleware/general");
// const keycloak = require("../../config/keycloak-config.js").getKeycloak();

// router.post("/profile", auth, encryptedbody, register, cetechRegister);
// router.get("/profile/driver", auth, verifyDriverProfile);
router.post("/login", encryptedbody, login);
// router.patch("/follow/:userId", auth, encryptedbody, followUser);
// router.delete("/listing/:listingId", auth, encryptedbody, deleteListings);

module.exports = router;
